diff -ruN uppbox/uppweb/init uppbox/uppweb/init
--- uppbox/uppweb/init	2011-10-24 13:31:18 +0600
+++ uppbox/uppweb/init	2011-10-26 18:56:12 +0600
@@ -1,11 +1,8 @@
 #ifndef _uppweb_icpp_init_stub
 #define _uppweb_icpp_init_stub
-#include "Web/init"
+#include "ide\Browser/init"
 #include "RichText/init"
 #include "plugin\gif/init"
-#include "CtrlLib/init"
-#include "plugin\png/init"
-#include "ide/init"
 #include "plugin\ftp/init"
 #include "Sql/init"
 #include "Skeleton/init"
diff -ruN uppbox/uppweb/uppweb.upp uppbox/uppweb/uppweb.upp
--- uppbox/uppweb/uppweb.upp	2011-10-24 13:31:18 +0600
+++ uppbox/uppweb/uppweb.upp	2011-10-26 18:56:12 +0600
@@ -1,16 +1,13 @@
 description "Ultimate++ website generation and export.\377";
 
 uses
-	Web,
+	ide\Browser,
 	RichText,
 	plugin\gif,
-	CtrlLib,
-	CtrlLib,
-	plugin\png,
-	ide,
 	plugin\ftp,
-	Sql,
-	Skeleton;
+	Sql;
+
+uses(SKELETON) Skeleton;
 
 options(GCC) -DNOWSTRING;
 
diff -ruN uppbox/uppweb/www.cpp uppbox/uppweb/www.cpp
--- uppbox/uppweb/www.cpp	2011-10-24 13:31:18 +0600
+++ uppbox/uppweb/www.cpp	2011-10-27 01:20:36 +0600
@@ -178,7 +178,7 @@
 	String style = "border: 0px solid black; "
 	               "padding-left:6px; padding-right:0px; "
 	               "padding-top:4px; padding-bottom:4px;";
-		               "border-top: 1px solid #6E89AE;";
+//		               "border-top: 1px solid #6E89AE;";
 	return BarItem(content, style);
 }
 
@@ -187,7 +187,6 @@
 	return HtmlPackedTable().Width(-100) /
 		   HtmlLine();
 }
-
 VectorMap<String, String> escape;
 
 String QtfAsHtml(const char *qtf, Index<String>& css,
@@ -198,12 +197,6 @@
 	return EncodeHtml(ParseQTF(qtf), css, links, labels, outdir, fn, Zoom(8, 40), escape, 40);
 }
 
-#define TOPICFILE <uppweb/www.tpp/all.i>
-#include <Core/topic_group.h>
-
-#define TOPICFILE <ide/app.tpp/all.i>
-#include <Core/topic_group.h>
-
 String GetText(const char *s)
 {
 	return GetTopic(s).text;
@@ -320,6 +313,19 @@
 	}
 };
 
+Topic ReadTopic(const String& nest, const String& package, const String& www, const String& name, int language)
+{
+	String fn = AppendFileName(
+						AppendFileName(
+							AppendFileName(nest, package),
+							www + ".tpp"
+						),
+						name + "$" + ToLower(LNGAsText(language))  + ".tpp"
+					);
+
+	return ReadTopic(LoadFile(fn));
+}
+
 String MakeExamples(const char *dir, const char *www, int language)
 {
 	String ttxt;
@@ -338,14 +344,7 @@
 		String link = String().Cat() << www << '$' << name << "$" << ToLower(LNGAsText(language)) << ".html";
 		Topic& topic = tt.Add(link);
 		topic.title = name;
-		String fn = AppendFileName(
-						AppendFileName(
-							AppendFileName(uppbox, "uppweb"),
-							String(www) + ".tpp"
-						),
-						topic.title + "$" + ToLower(LNGAsText(language))  + ".tpp"
-					);
-		String h = ReadTopic(LoadFile(fn)).text;
+		String h = ReadTopic(uppbox, "uppweb", www, name, language).text;
 		Package p;
 		p.Load(AppendFileName(AppendFileName(dir, name), name + ".upp"));
 		topic.text << "[R6* " << name << "]&&" << DeQtf(p.description) << "&";
@@ -766,7 +765,7 @@
 		{
 			int di = tt.Find("topic://uppweb/www/examples$" + ToLower(LNGAsText(languages[i])));
 			tt[di].text << MakeExamples(examples, "examples", languages[i]);
-			tt[di].text << GetTopic("topic://uppweb/www/reference$" + ToLower(LNGAsText(languages[i]))).text;
+			tt[di].text << ReadTopic(uppbox, "uppweb", "www", "reference", languages[i]).text;
 			tt[di].text << MakeExamples(reference, "reference", languages[i]);
 		}
 
diff -ruN uppbox/uppweb/www.h uppbox/uppweb/www.h
--- uppbox/uppweb/www.h	2011-02-16 10:12:56 +0600
+++ uppbox/uppweb/www.h	2011-10-24 15:17:26 +0600
@@ -1,12 +1,9 @@
 #ifndef _uppweb_www_h_
 #define _uppweb_www_h_
 
-
-#include <Web/Web.h>
+#include <ide/Browser/Browser.h>
 #include <RichText/RichText.h>
 #include <plugin/gif/gif.h>
-#include <CtrlLib/CtrlLib.h>
-#include <ide/Browser/Browser.h>
 
 using namespace Upp;
 
